#include<stdio.h>
#include<stdlib.h>
#include<time.h>

#define NB_RANGEES 15
#define NB_BILLES 150

int main(int argc, char * argv[]) {
	srand(time(NULL));

	int colonnes[NB_RANGEES] = {};

	for (int essai = 0; essai < NB_BILLES; essai++) { //On simule le nombre de billes.
		int colonne_bille = NB_RANGEES - 1; //On fait commencer la bille a la colonne du milieu (-1 afin de simplifier l'insertion dans le tableau).

		for (int rangee = 0; rangee < NB_RANGEES; rangee++) {
			//On simule chaque rangée et ou la bille va-elle aller.
			srand(rand());
			int choix = rand() % 2;

			if (choix == 0) colonne_bille++; //Si le nombre aléatoire est pair alors on va à droite.
			else colonne_bille--; //Sinon on va à gauche. 
		}

		colonnes[colonne_bille/2]++; //On divise la valeur de résultat par 2 pour mettre deux colonnes dans un seul bac (tel le schéma de l'énoncé).
	}

	for (int i = 0; i < NB_RANGEES; i++) { //On créer l'histogramme
		for (int count = 0; count < colonnes[i]; count++) printf("▄");
		printf("\n");
	}

	return EXIT_SUCCESS;
}